org.apache.pdfbox.preflight.utils

## Class ContextHelper

- java.lang.Object
- - org.apache.pdfbox.preflight.utils.ContextHelper

    public final class ContextHelper
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `validateElement(PreflightContext context, Object element, String processName)` Check that the element parameter isn't null before calling the `callValidation(PreflightContext, Object, String)` method.
`static void` `validateElement(PreflightContext context, String processName)` call directly the `callValidation(PreflightContext, Object, String)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### validateElement

    public static void validateElement(PreflightContext context,
                                       Object element,
                                       String processName)
                                throws ValidationException

Check that the element parameter isn't null before calling the `callValidation(PreflightContext, Object, String)` method.

Parameters:
  `context` -
  `element` -
  `processName` -
Throws:
  `ValidationException`

#### validateElement

    public static void validateElement(PreflightContext context,
                                       String processName)
                                throws ValidationException

call directly the `callValidation(PreflightContext, Object, String)`

Parameters:
  `context` -
  `processName` -
Throws:
  `ValidationException`